Groovy Documentation

## org.codehaus.groovy.runtime.metaclass
[Java] Class MetaMethodIndex.CacheEntry

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.CacheEntry

    public static class MetaMethodIndex.CacheEntry

Field Summary
`MetaMethod` | `method`
`java.lang.Class[]` | `params`

Constructor Summary
`MetaMethodIndex.CacheEntry(java.lang.Class[] params, MetaMethod method)`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### method

    public final MetaMethod method

### params

    public final java.lang.Class[] params

Constructor Detail

### MetaMethodIndex.CacheEntry

    public MetaMethodIndex.CacheEntry(java.lang.Class[] params, MetaMethod method)

Groovy Documentation